Retrieve therapist pricing and price scaling for a service of a center

This API allows you to retrieve the details of all the therapists who can perform a particular service at a center. We can also filter on the basis of whether the catalog for the therapist is enabled or not.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response Object

NameTypeDescription
meta_dataObjectObject containing all the meta data information of the API.
therapistsObjectObject containing all the information regarding the therapists of the center.

Meta-data Object

NameTypeDescription
any_minintMinimum duration of a service if "Any" therapist is selected.
any_maxintMaximum duration of a service if "Any" therapist is selected.
male_minintMinimum duration of service if "Male" therapist is selected.
male_maxintMaximum duration of a service if "Male" therapist is selected.
female_minintMinimum duration of service if "Female" therapist is selected.
female_maxintMaximum duration of service if "Female" therapist is selected.
has_male_therapistsboolTrue = If the center has any available male therapists.
False = If the center does not have any available male therapists.
has_female_therapistsboolTrue = If the center has any available female therapists.
False = If the center does not have any available female therapists.

Therapist Object

NameTypeDescription
idguidUnique identifier of the therapist.
display_namestringThe display name of the therapist.
emailstringEmail address of the therapist.
FirstNamestringFirst name of the therapist.
genderstringGender of the therapist.
image_pathsstringURL of the image of the therapist.
last_namestringLast name of the therapist.
middle_namestringMiddle name of the therapist.
nick_namestringNick name of the therapist.
priceintPrice scaling information of the chosen therapist.
service_timeintTime within which the therapist can perform the service.
is_catalog_enabledboolTrue = Catalog is enabled for the therapist.
False = Catalog is disabled for the therapist.

Error Object

codemessage
AP008Invalid service id
GE003Invalid center id
Path Params
string
required

Mandatory This is the unique 32 character identifier of the center.

string
required

Mandatory This is the unique 32 character identifier of the service.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json